For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot Ai Feature Settings

Retrieves AI feature settings for a chatbot

get

Required Permission: chatbots.settings.aifeatures.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

The current AI feature settings.

application/json
errorstringOptional

Optional error message.

get/v1/chatbots/{chatbotId}/settings/ai
GET /v1/chatbots/{chatbotId}/settings/ai HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "settings": {
    "completionEnabled": true,
    "completionPrompt": "Complete the following chat.",
    "formulationEnabled": true,
    "formulationPrompt": "Rephrase the following chat.",
    "summaryEnabled": true,
    "summaryPrompt": "Summarize the following chat.",
    "updated": "2025-09-29T11:05:00Z",
    "questionAnsweringEnabled": true,
    "questionAnsweringPrompt": "Answer the following question.",
    "questionAnsweringAiConfig": {
      "model": 1,
      "thinkingBudget": 256,
      "seed": 42,
      "topP": 0.9,
      "temperature": 0.8
    }
  },
  "error": "text"
}

Updates AI feature settings for a chatbot

patch

Required Permission: chatbots.settings.aifeatures.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
Responses
200

The current AI feature settings.

application/json
errorstringOptional

Optional error message.

patch/v1/chatbots/{chatbotId}/settings/ai
PATCH /v1/chatbots/{chatbotId}/settings/ai HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 427

{
  "settings": {
    "completionEnabled": true,
    "completionPrompt": "Complete the following chat.",
    "formulationEnabled": true,
    "formulationPrompt": "Rephrase the following chat.",
    "summaryEnabled": true,
    "summaryPrompt": "Summarize the following chat.",
    "questionAnsweringEnabled": true,
    "questionAnsweringPrompt": "Answer the following question.",
    "questionAnsweringAiConfig": {
      "model": 1,
      "thinkingBudget": 256,
      "seed": 42,
      "topP": 0.9,
      "temperature": 0.8
    }
  }
}
{
  "settings": {
    "completionEnabled": true,
    "completionPrompt": "Complete the following chat.",
    "formulationEnabled": true,
    "formulationPrompt": "Rephrase the following chat.",
    "summaryEnabled": true,
    "summaryPrompt": "Summarize the following chat.",
    "updated": "2025-09-29T11:05:00Z",
    "questionAnsweringEnabled": true,
    "questionAnsweringPrompt": "Answer the following question.",
    "questionAnsweringAiConfig": {
      "model": 1,
      "thinkingBudget": 256,
      "seed": 42,
      "topP": 0.9,
      "temperature": 0.8
    }
  },
  "error": "text"
}

Last updated